## DAViCalUser

Description

A class for viewing and maintaining DAViCal User records

Located in /inc/DAViCalUser.php (line 27)

    User
       |
       --DAViCalUser

Variable Summary
mixed $delete_collection_confirmation_required
mixed $delete_user_confirmation_required
Method Summary
DAViCalUser DAViCalUser ( $id, [ $prefix = ''])
boolean AllowedTo (string $whatever)
void HandleAction ( $action)
string Render ([ $title = ''])
string RenderCollections ( $ef, [ $title = null])
string RenderRelationshipsFrom ( $ef, [ $title = null])
string RenderRelationshipsTo ( $ef, [ $title = null])
boolean Validate ()
void Write ()
Variables
mixed $delete_collection_confirmation_required (line 30)
mixed $delete_user_confirmation_required (line 31)
Methods
Constructor DAViCalUser (line 36)

Constructor - nothing fancy as yet.

DAViCalUser DAViCalUser ( $id, [ $prefix = ''])

- $id
- $prefix

AllowedTo (line 321)

Extend parent definition of what the current user is allowed to do

- return: Whether they are allowed to.

boolean AllowedTo (string $whatever)

- string $whatever: What the user wants to do

HandleAction (line 349)

Handle any unusual actions we might invent

void HandleAction ( $action)

- $action

Render (line 52)

Render the form / viewer as HTML to show the user

- return: An HTML fragment to display in the page.

string Render ([ $title = ''])

- $title

RenderCollections (line 242)

Render the user's collections

- return: The string of html to be output

string RenderCollections ( $ef, [ $title = null])

- $ef
- $title

RenderRelationshipsFrom (line 109)

Render the user's relationships to other users & resources

- return: The string of html to be output

string RenderRelationshipsFrom ( $ef, [ $title = null])

- $ef
- $title

RenderRelationshipsTo (line 158)

Render the user's relationships to other users & resources

- return: The string of html to be output

string RenderRelationshipsTo ( $ef, [ $title = null])

- $ef
- $title

Validate (line 311)

Validate the information the user submitted

- return: Whether the form data validated OK.

boolean Validate ()
Write (line 424)

Write the record to the file

void Write ()

Documentation generated on Thu, 25 Feb 2010 11:39:19 +1300 by phpDocumentor 1.3.2